#!/bin/sh

echo
echo "  Modifying $top/extensions/Imakefile"

mv -f $top/extensions/Imakefile $top/extensions/Imakefile.$bak
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't move extensions Imakefile to Imakefile.$bak"
	exit
fi

cp $top/extensions/Imakefile.$bak $top/extensions/Imakefile
chmod u+rw $top/extensions/Imakefile

ed - $top/extensions/Imakefile << '-*-END-*-'
g/#if[a-z]* *BuildSyncExt/.,/#endif/d
g/\$(SYNCDIR)/s/ *\$(SYNCDIR)//g
/[ 	]SUBDIRS /s/$/ \$(SYNCDIR)/
i
#ifdef BuildSyncExt
  SYNCDIR = sync
#else
  SYNCDIR = /* nothing */
#endif
.
w
q
-*-END-*-

chmod u-w $top/extensions/Imakefile
grep -s BuildSyncExt $top/extensions/Imakefile
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't modify extensions Imakefile"
	exit
fi
