
echo ""
echo "  Creating $top/extensions/sync"

if [ ! -w $top/extensions ]
then
	echo ""
	echo "  Error: Couldn't access extensions directory"
	exit
fi

if [ -s $top/extensions/sync ]
then
	echo ""
	echo "  Moving existing sync directory to xv.$bak"
	if [ -s $top/extensions/sync.$bak ]
	then
		echo -n "> Remove existing sync.$bak? (y,[n]) "
		read yesno
		if [  x$yesno = xy -o x$yesno = xY ]
		then
			rm -rf $top/extensions/sync.$bak
			if [ $? -gt 0 ]
			then
			  echo ""
			  echo "  Error: Couldn't remove existing sync.$bak"
			  exit
			fi
		else
			echo ""
			echo "  Aborting Sync Installation"
			exit
		fi
	fi

	mv -f $top/extensions/sync $top/extensions/sync.$bak
	if [ $? -gt 0 ]
	then
		echo ""
		echo "  Error: Couldn't move existing sync directory to sync.$bak"
	fi
fi

echo ""
cd $pwd/extensions
tar cf - sync | (cd $top/extensions; tar xvf -)
cd $pwd
