
echo
echo "  Modifying $top/lib/X/XErrorDB"

mv -f $top/lib/X/XErrorDB $top/lib/X/XErrorDB.$bak
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't move XErrorDB to XErrorDB.c.$bak"
	exit
fi

cp $top/lib/X/XErrorDB.$bak $top/lib/X/XErrorDB
chmod u+rw $top/lib/X/XErrorDB

ed - $top/lib/X/XErrorDB << '-*-END-*-'
g/! ORL-SYNC extension/.,/! End ORL-SYNC/d
/! MIT-SUNDRY-NONSTANDARD/i
! ORL-SYNC extension, not yet an X Consortium standard
XRequest.ORL-SYNC.0: X_SyncInfo
XRequest.ORL-SYNC.1: X_SyncCreateCounter
XRequest.ORL-SYNC.2: X_SyncDestroyCounter
XRequest.ORL-SYNC.3: X_SyncQueryCounter
XRequest.ORL-SYNC.4: X_SyncAwait
XRequest.ORL-SYNC.5: X_SyncAdvance
XRequest.ORL-SYNC.6: X_SyncCreateAlarm
XRequest.ORL-SYNC.7: X_SyncDestroyAlarm
XRequest.ORL-SYNC.8: X_SyncQueryAlarm
XRequest.ORL-SYNC.9: X_SyncChangeAlarm
XProtoError.ORL-SYNC.0: BadCounter (invalid Counter parameter)
XlibMessage.ORL-SYNC.0: Counter id in failed request 0x%lx
XProtoError.ORL-SYNC.1: BadAlarm (invalid Alarm parameter)
XlibMessage.ORL-SYNC.1: Alarm id in failed request 0x%lx
! End ORL-SYNC extension
.
w
q
-*-END-*-

chmod u-w $top/lib/X/XErrorDB

grep -s "SYNC" $top/lib/X/XErrorDB
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't modify XErrorDB"
	exit
fi
